Bug 9948 - wpa_supplicant-0.3.9-alt2 broken with ipw2100, ipw2200
: wpa_supplicant-0.3.9-alt2 broken with ipw2100, ipw2200
Status: CLOSED WONTFIX
: Branch 3.0
(All bugs in Branch 3.0/wpa_supplicant)
: 3.0
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-09-01 19:57 by
Modified: 2008-02-15 20:07 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-09-01 19:57:11
В дистрибутив Compact 3.0 попала сборка wpa_supplicant-0.3.9-alt2, которая, как
выяснилось, не работает с имеющимся в этом дистрибутиве версиями драйверов
ipw2100, ipw2200:

kernel-modules-ipw2100-std26-up-1.1.2-alt3.132620.6
kernel-modules-ipw2200-std26-up-1.0.6-alt2.132620.6

(реально проверялась работа ipw2200 с адаптером 2915ABG, неработоспособность с
ipw2100 предполагается по результатам просмотра исходных текстов этой версии
модуля).

Неработоспособность проявляется в виде бесконечных попыток соединения с точкой
доступа, использующей WPA-PSK - установить соединение не удаётся.

Как выяснилось, проблема вызвана патчем wpa_supplicant-driver_ipw.c.patch,
добавленным как раз в сборку 0.3.9-alt2.  Этот патч меняет интерфейс между
wpa_supplicant и драйверами ipw2x00 в ядре, заменяя его на старую версию,
использовавшуюся в ipw2100-1.1.0, ipw2200-1.0.3 и более ранних версиях этих
драйверов.  Однако в дистрибутиве Compact 3.0 используются более новые версии
драйверов, в результате оказывается, что пропатченный wpa_supplicant использует
несовместимый интерфейс.

Пересборка пакета wpa_supplicant без патча wpa_supplicant-driver_ipw.c.patch
восстанавливает работоспособность wpa_supplicant с драйвером ipw2200-1.0.6 -
соединение с точкой доступа, использующей WPA-PSK, устанавливается успешно.
------- Comment #1 From 2006-09-01 21:10:17 -------
Пересобранный без этого патча пакет wpa_supplicant сейчас лежит в
http://ftp.altlinux.ru/pub/people/vsu/3.0-updates-testing/ - при наличии
разрешения могу и сам забросить в updates/3.0.

В результате этого изменения сломается работа с устаревшим модулем
ipw2100-1.1.0, который был собран в 3.0 для ядер wks26, но эти ядра в 3.0
фактически не поддерживаются; ipw2200 даже для wks26 уже с новым интерфейсом.
------- Comment #2 From 2006-09-18 10:37:05 -------
Да, выложите этот пакет для updates ALC30.

Собрать и проверить у себя я не могу, так как отсуствует сборочная среда ALC30
------- Comment #3 From 2008-02-15 19:46:43 -------
Всё ещё актуально или закрывать как de-facto-WONTFIX?
------- Comment #4 From 2008-02-15 20:04:45 -------
taf@ точно не исправит уже...
------- Comment #5 From 2008-02-15 20:07:15 -------
Тогда и закроем как wontfix.